Collapse All Expand All Code: All Code: Multiple Code: C# Code: Visual Basic Code: Visual C++

C#
Visual Basic
Visual C++

Berkeley DB .NET API Documentation
BaseDatabase..::.Cursor Method (CursorConfig)
BaseDatabase Class See Also Send Feedback

Create a database cursor with the given configuration.

Namespace: BerkeleyDB
Assembly: libdb_dotnet62 (in libdb_dotnet62.dll) Version: 6.2.32.0

# Syntax

C#
    public Cursor Cursor(
    	CursorConfig cfg
    )

Visual Basic (Declaration)
    Public Function Cursor ( _
    	cfg As CursorConfig _
    ) As Cursor

Visual C++
    public:
    Cursor^ Cursor(
    	CursorConfig^ cfg
    )

#### Parameters

cfg
  Type: BerkeleyDB..::.CursorConfig
  The configuration properties for the cursor.

#### Return Value

A newly created cursor

# See Also

BaseDatabase Class
Cursor Overload
BerkeleyDB Namespace